#[macro_use]
pub mod create_section {
    macro_rules! impl_from_rarity {
        ($struct_name:ident, $data_type:ty) => {
            impl $struct_name {
                pub fn from_rarity(
                    &self,
                    rarity: crate::game::content::prelude::Rarities,
                ) -> $data_type {
                    match rarity {
                        crate::game::content::prelude::Rarities::Common => self.common,
                        crate::game::content::prelude::Rarities::Uncommon => self.uncommon,
                        crate::game::content::prelude::Rarities::Magical => self.magical,
                        crate::game::content::prelude::Rarities::Rare => self.rare,
                        crate::game::content::prelude::Rarities::Epic => self.epic,
                        crate::game::content::prelude::Rarities::Legendary => self.legendary,
                    }
                }
            }
        };
    }
}

pub mod abilities;
pub mod attributes;
pub mod experience;
pub mod items;
pub mod mobs;
pub mod save_game;

pub use abilities::*;
pub use attributes::*;
pub use experience::*;
pub use items::*;
pub use mobs::*;
pub use save_game::*;
