pub mod animation_info;
pub mod hitbox;
pub mod movement;

mod ability_location_info;
mod abilityloader;
pub mod ai;
mod aoe;
pub mod aoe_arc;
pub mod damage_number;
mod entity_faction;
mod ghost;
pub mod health_bar;
mod loot_stash;
mod npc_name;
mod npc_type;

pub use self::{ai::*, aoe_arc::AreaOfEffectArc};

pub use self::{
    ability_location_info::*,
    ability_slots::*,
    abilityloader::AbilityLoader,
    animation_info::AnimationInfo,
    aoe::*,
    attributes::*,
    character_status::CharacterStatus,
    crafting_materials::*,
    damage_number::*,
    entity_faction::*,
    ghost::*,
    health_bar::*,
    hitbox::{CollisionEventType, HitBox},
    inventory::*,
    item_slots::*,
    level::*,
    loot_stash::*,
    macros::AttributeAssociation,
    movement::Movement,
    npc_name::NPCName,
    npc_type::*,
    statistic_types::*,
    statistics::*,
};

use serde::{Deserialize, Serialize};

pub const MOVEMENT_MAX_THRESHOLD: f32 = 0.8;
pub const MOVEMENT_MIN_THRESHOLD: f32 = 0.4;

#[derive(PartialEq, Eq, Hash, Clone, Copy, Debug, Serialize, Deserialize)]
pub enum AnimationType {
    Move,
    Idle,
    Cast,
    Attack,
    // Add more as you need
}
